package cn.com.qmth.examcloud.core.questions.service;

import cn.com.qmth.examcloud.api.commons.security.bean.User;
import cn.com.qmth.examcloud.core.questions.dao.entity.Question;
import cn.com.qmth.examcloud.core.questions.dao.entity.QuestionAudio;

import java.util.List;

/**
 * @author chenken
 * @date 2017年8月1日 上午11:26:40
 * @company QMTH
 * @description QuestionRadioService.java
 */
public interface QuestionAudioService {

    /**
     * 使用ID查询音频
     *
     * @param id
     * @return
     */
    public QuestionAudio findAudioById(String id);

    /**
     * 保存试题音频文件记录
     *
     * @param questionRadio
     */
    public void saveQuestionAudio(QuestionAudio questionAudio, User user);

    /**
     * 根据试题ID获取音频文件
     *
     * @return
     */
    public List<QuestionAudio> findQuestionAudiosByQuestionId(String questionId);

    /**
     * 根据questionId和文件名称查询对象
     *
     * @param questionId
     * @param fileName
     * @return
     */
    public QuestionAudio findByQuestionIdAndFileName(String questionId, String fileName);

    /**
     * 删除不在试题中的音频
     *
     * @param question
     */
    public void deleteAudioNotInQuestion(Question question);

    /**
     * 给音频排序
     *
     * @param question
     */
    public void sortAudio(Question question);

    /**
     * 根据试题集合删除音频
     */
    public void deleteAudio(List<Question> questions);

	void deleteAudioByQuestionId(List<String> questionIds);
}

